%define aurox_ver 10.0
%define rel 1


# $Id: kickpim.spec,v 1.9 2003/12/23 18:45:20 rexdieter Exp $

%define kdebase_ver 6:3.2
%define kdepim_ver 6:3.2

Name:	 kickpim
Summary: KDE kicker applet to access addressbook
Epoch:	 0
Version: 0.5.3
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group:	 Applications/Productivity
URL:	 http://kickpim.sourceforge.net/
Source:	 kickpim-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: kdepim-devel >= %{kdepim_ver} 
# remove build dep on qt-3.2
Patch1: kickpim-0.5.3-qtdesigner.patch

BuildRequires: autoconf >= 2.53

# to workaround missing Requires in redhat's qt-devel, kdelibs-devel
# and to make fedora's buildsystem happy
BuildRequires: XFree86-devel
BuildRequires: libpng-devel zlib-devel libjpeg-devel
BuildRequires: qt-devel arts-devel libart_lgpl-devel

Requires: kdepim >= %{kdepim_ver} 
Requires: kdebase >= %{kdebase_ver}

%description
KickPIM is a panel applet for quickly editing and accessing the KDE
addressbook or sending emails to your contacts. It shows also a list of
upcoming birthdays


%prep
%setup -q

%patch1 -p1 -b .qtdesigner

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --with-qt-libraries=$QTDIR/lib \
  --disable-rpath \
%if "%{?debug}" == "1"
  --enable-debug --enable-warnings
%else
  --disable-dependency-tracking \
  --disable-debug --disable-warnings \
  --enable-final
%endif

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README
%{_libdir}/*
%{_datadir}/apps/kicker/applets/*.desktop
%{_datadir}/apps/kickpim
%lang(en) %doc %{_docdir}/HTML/en/*


%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Tue Jul 27 2004 Aurox Team <aurox@aurox.org> 0:0.5.3-10.0.aur.1
- rebuild for Aurox 10.0 (kde-3.2.3)
- rebuild for qt 3.3 and kde 3.2
- change version of QtDesigner in 2 ui files
- use version macro in source archive name
- new mainstream release

* Tue Dec 23 2003 Rex Dieter <rexdieter at sf.net> 0:0.5.1-0.fdr.2
- respin to purge libvcard dep's

* Mon Dec 01 2003 Rex Dieter <rexdieter at sf.net> 0:0.5.1-0.fdr.1
- 0.5.1
- add BuildRequires to make fedora's buildsystem happy

* Wed Nov 05 2003 Rex Dieter <rexdieter at sf.net> 0:0.5-0.fdr.0
- 0.5

* Wed Sep 17 2003 Rex Dieter <rexdieter at sf.net> 0:0.4.7-0.fdr.0
- fedora'ize

